		String.prototype.Trim = function() {
			return this.replace(/(^\s*)|(\s*\$)/g, "");
		};
		function ArgumentationOnSubmit(form)
		{
			var	getShowCode=document.getElementById("ShowCode");
			if (typeof(getShowCode)=='object' && getShowCode!=null)
			{
				if (form.getcode.value.length!=4)
				{
					alert('请输入正确的验证码');
					form.getcode.focus();
					
					return false;
				}
			}
			if ('' == form.argue_topic.value.Trim()) {
				alert("请填写辩论主标题！");
				form.argue_topic.focus();
				return false;
			}
			if (form.argue_start_time.value.Trim() != '' && form.argue_end_time.value.Trim() != '') {
				var start_time = Date.parse();
				if (start_time <= 0) {
					alert("开始时间格式不合法！");
					form.argue_start_time.focus();
					return false;
				}
				var end_time = Date.parse();
				if (end_time <= 0) {
					alert("结束时间格式不合法！");
					form.argue_start_time.focus();
					return false;
				}
				if (end_time <= start_time) {
					alert("结束时间不应小于或等于开始时间！");
					return false;
				}
			}
			if ('' == form.argue_title_obverse.value.Trim()) {
				alert("请填写正方观点！");
				form.argue_title_obverse.focus();
				return false;
			}
			if ('' == form.argue_title_reversed.value.Trim()) {
				alert("请填写反方观点！");
				form.argue_title_reversed.focus();
				return false;
			}
			if ('' == form.argue_context_info.value.Trim()) {
				alert("请填写背景资料！");
				form.argue_context_info.focus();
				return false;
			}
			return true;
		}//end function ArgumentationOnSubmit
